summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2019-12-15 17:33:26 +0100
committerPacho Ramos <pacho@gentoo.org>2019-12-15 17:48:14 +0100
commit9f7eea54c3cce324d7e3d8878778a308f5d548e8 (patch)
tree522982c568f2242515301cdffc6d850e2d9162a9 /mail-client/evolution
parentgnome-extra/evolution-data-server: Bump to 3.32.5 (diff)
downloadgentoo-9f7eea54c3cce324d7e3d8878778a308f5d548e8.tar.gz
gentoo-9f7eea54c3cce324d7e3d8878778a308f5d548e8.tar.bz2
gentoo-9f7eea54c3cce324d7e3d8878778a308f5d548e8.zip
mail-client/evolution: Bump to 3.32.5
Package-Manager: Portage-2.3.81, Repoman-2.3.19 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
Diffstat (limited to 'mail-client/evolution')
-rw-r--r--mail-client/evolution/Manifest1
-rw-r--r--mail-client/evolution/evolution-3.32.5.ebuild154
2 files changed, 155 insertions, 0 deletions
diff --git a/mail-client/evolution/Manifest b/mail-client/evolution/Manifest
index c2e8d4461e2..2b788d116d0 100644
--- a/mail-client/evolution/Manifest
+++ b/mail-client/evolution/Manifest
@@ -1,2 +1,3 @@
DIST evolution-3.30.5.tar.xz 11995960 BLAKE2B 4a2ac539e88467148dd3be2bf2607be55ea39dfb0ceb89183a6f4fa3ee66c1973690c4e540a7405743c202aa777ad9aa147600390e909ffc93cb2dae1ebb62d9 SHA512 1d776fdb0da4166d9346ad4cd05d7ee050e0bf3ac1edc1f7d3fb4ba8909e35429e8d076a5b6e223f3fc94e2a8ad6337205c1d648220a3fdf593bae64d9c975d1
DIST evolution-3.32.4.tar.xz 11793452 BLAKE2B bb009a5881cca6724b804a1203d393003f92ef9f6a8fa9692fc42344224b0b2f5def5c05160d46bbf7f76b9ae9bfa1737f78207aee7038540f410df57f7a76cd SHA512 a09ef7e39a73449a8a897c430fb97aadac01790d350b21e456d86cc785b67bdc2b542771ef9c6daa160fc0c1946b4a4e3eb9429a8ad1d69284698cbdb0ac4931
+DIST evolution-3.32.5.tar.xz 11793908 BLAKE2B 798b49e3ab8b34be85263d876a4fde86bb63374c017ec43f8f3742246308bd023e4bdb0c943c1a96ad7866f09023e8c2df561e4f168730bb32b256e4e400dd23 SHA512 b77715d290ad3727a68416d425a19a0d10b5ebab69538d702008bc158fa70ea8bdb43f8cc55ebdf913f88ccf408df31ff5919ae5ccd3e94eeecd0f9f97592f96
diff --git a/mail-client/evolution/evolution-3.32.5.ebuild b/mail-client/evolution/evolution-3.32.5.ebuild
new file mode 100644
index 00000000000..f320eaad3ff
--- /dev/null
+++ b/mail-client/evolution/evolution-3.32.5.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils gnome2 flag-o-matic readme.gentoo-r1
+
+DESCRIPTION="Integrated mail, addressbook and calendaring functionality"
+HOMEPAGE="https://wiki.gnome.org/Apps/Evolution"
+
+# Note: explicitly "|| ( LGPL-2 LGPL-3 )", not "LGPL-2+".
+LICENSE="|| ( LGPL-2 LGPL-3 ) CC-BY-SA-3.0 FDL-1.3+ OPENLDAP"
+SLOT="2.0"
+
+IUSE="archive +bogofilter geolocation gtk-doc highlight ldap spamassassin spell ssl +weather ytnef"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+
+# glade-3 support is for maintainers only per configure.ac
+# pst is not mature enough and changes API/ABI frequently
+# dconf explicitely needed for backup plugin
+# gnome-desktop support is optional with --enable-gnome-desktop
+# automagic libunity dep
+COMMON_DEPEND="
+ >=app-crypt/gcr-3.4:=[gtk]
+ >=app-text/enchant-1.6.0:0
+ >=dev-libs/glib-2.46:2[dbus]
+ >=dev-libs/libxml2-2.7.3:2
+ >=gnome-base/gnome-desktop-2.91.3:3=
+ >=gnome-base/gsettings-desktop-schemas-2.91.92
+ >=gnome-extra/evolution-data-server-${PV}:=[gtk,weather?]
+ >=media-libs/libcanberra-0.25[gtk3]
+ >=net-libs/libsoup-2.42:2.4
+ >=net-libs/webkit-gtk-2.16.0:4
+ >=x11-libs/cairo-1.9.15:=[glib]
+ >=x11-libs/gdk-pixbuf-2.24:2
+ >=x11-libs/gtk+-3.22:3
+ >=x11-libs/libnotify-0.7:=
+ >=x11-misc/shared-mime-info-0.22
+
+ >=app-text/iso-codes-0.49
+ dev-libs/atk
+ gnome-base/dconf
+ >=dev-libs/libical-3.0.2:=
+ x11-libs/libSM
+ x11-libs/libICE
+
+ archive? ( >=app-arch/gnome-autoar-0.1.1[gtk] )
+ geolocation? (
+ >=media-libs/libchamplain-0.12:0.12[gtk]
+ >=media-libs/clutter-1.0.0:1.0
+ >=media-libs/clutter-gtk-0.90:1.0
+ >=sci-geosciences/geocode-glib-3.10.0
+ x11-libs/mx:1.0 )
+ ldap? ( >=net-nds/openldap-2:= )
+ spell? ( app-text/gtkspell:3 )
+ ssl? (
+ >=dev-libs/nspr-4.6.1:=
+ >=dev-libs/nss-3.11:= )
+ weather? ( >=dev-libs/libgweather-3.10:2= )
+ ytnef? ( net-mail/ytnef )
+"
+DEPEND="${COMMON_DEPEND}
+ app-text/docbook-xml-dtd:4.1.2
+ dev-util/gdbus-codegen
+ dev-util/glib-utils
+ dev-util/itstool
+ gtk-doc? ( dev-util/gtk-doc
+ app-text/docbook-xml-dtd:4.3 )
+ >=dev-util/intltool-0.40.0
+ >=sys-devel/gettext-0.18.3
+ virtual/pkgconfig
+"
+RDEPEND="${COMMON_DEPEND}
+ bogofilter? ( mail-filter/bogofilter )
+ highlight? ( app-text/highlight )
+ spamassassin? ( mail-filter/spamassassin )
+ !gnome-extra/evolution-exchange
+"
+
+DISABLE_AUTOFORMATTING="yes"
+DOC_CONTENTS="To change the default browser if you are not using GNOME, edit
+~/.local/share/applications/mimeapps.list so it includes the
+following content:
+
+[Default Applications]
+x-scheme-handler/http=firefox.desktop
+x-scheme-handler/https=firefox.desktop
+
+(replace firefox.desktop with the name of the appropriate .desktop
+file from /usr/share/applications if you use a different browser)."
+
+# global scope PATCHES or DOCS array mustn't be used due to double default_src_prepare
+# call; if needed, set them after cmake-utils_src_prepare call, if that works
+
+src_prepare() {
+ eapply "${FILESDIR}"/3.32.4-gtk-doc-fix{1,2}.patch
+ cmake-utils_src_prepare
+ gnome2_src_prepare
+}
+
+src_configure() {
+ # Use NSS/NSPR only if 'ssl' is enabled.
+ local mycmakeargs=(
+ -DSYSCONF_INSTALL_DIR="${EPREFIX}"/etc
+ -DENABLE_SCHEMAS_COMPILE=OFF
+ -DENABLE_GTK_DOC=$(usex gtk-doc)
+ -DWITH_OPENLDAP=$(usex ldap)
+ -DENABLE_SMIME=$(usex ssl)
+ -DENABLE_GNOME_DESKTOP=ON
+ -DWITH_ENCHANT_VERSION=1
+ -DENABLE_CANBERRA=ON
+ -DENABLE_AUTOAR=$(usex archive)
+ -DWITH_HELP=ON
+ -DENABLE_YTNEF=OFF
+ -DWITH_BOGOFILTER=$(usex bogofilter)
+ -DWITH_SPAMASSASSIN=$(usex spamassassin)
+ -DENABLE_GTKSPELL=$(usex spell)
+ -DENABLE_TEXT_HIGHLIGHT=$(usex highlight)
+ -DENABLE_WEATHER=$(usex weather)
+ -DENABLE_CONTACT_MAPS=$(usex geolocation)
+ -DENABLE_YTNEF=$(usex ytnef)
+ -DENABLE_PST_IMPORT=OFF
+ -DWITH_GLADE_CATALOG=OFF
+ )
+
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_test() {
+ cmake-utils_src_test
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # Problems with prelink:
+ # https://bugzilla.gnome.org/show_bug.cgi?id=731680
+ # https://bugzilla.gnome.org/show_bug.cgi?id=732148
+ # https://bugzilla.redhat.com/show_bug.cgi?id=1114538
+ echo PRELINK_PATH_MASK=/usr/bin/evolution > ${T}/99${PN}
+ doenvd "${T}"/99${PN}
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}